{% if main_menu or top_menu %}
	<div class="hamburger-menu" role="navigation">
		<div id="menuToggle" class="closed">
			<input type="checkbox" />
			<div class="tools">
					<a href="/" class="logo">
						Le geek <br />
						<span>Moderne</span>
					</a>

				<div class="search-icon"></div>
				<div class="burger">
					<span></span>
					<span></span>
					<span></span>
				</div>
			</div>

			<div class="main-navigation" id="menu">
                {% if top_menu %}
					<nav class="top-menu" role="navigation">
						<ul class="menu">
                            {% for item in top_menu %}
								<li class="nav-item">
									<a class="nav-link" target="{{ item.target }}" href="{{ item.link }}">{{ item.title }}</a>
								</li>
                            {% endfor %}
						</ul>
					</nav>
                {% endif %}
                {% if main_menu %}
					<nav class="main-menu" role="navigation">
						<ul class="menu">
							<li class="menu-category">
								<a href="/" class="home-icon"></a>
							</li>
                            {% for item in main_menu %}
								<li class="menu-category category-{{ item.color }}  ">
									<a class="nav-link" target="{{ item.target }}" href="{{ item.link }}">{{ item.title }}</a>
									<div class="submenu">
										<div class="subcategories">
                                            {% if item.get_children %}
												<ul>
													<li class="nav-item"><span>Catégories</span></li>
                                                    {% for child in item.get_children %}
														<li class="nav-item {{child.classes | join(' ')}}">
															<a class="nav-link" href="{{child.get_link}}">{{child.title}}</a>
														</li>
                                                    {% endfor %}
												</ul>
                                            {% endif %}
										</div>
										<div class="menu-post-previews row">
                                            {% for post in item.posts %}
												<a href="{{ post.url }}" class="menu-post-preview col-3">
													<div class="image" style="background-image: url({{ post.image }})">
                                                        {% if post.sub_categories[0] %}
															<span class="category">{{ post.sub_categories[0] }}</span>
                                                        {% endif %}
													</div>
													<p class="title">{{ post.title }}</p>
												</a>
                                            {% endfor %}
										</div>
										<div class="category-link">
											<a href="{{ item.link }}">Tous les articles</a>
										</div>
									</div>
								</li>
                            {% endfor %}
							<li class="menu-category">
								<div class="search-icon"><img src="{{theme.link}}/assets/img/search.svg"/></div>
							</li>
						</ul>
					</nav>
                {% endif %}
			</div>
		</div>
	</div>
{% endif %}
